classification
Title: Upgrade Windows and macOS installers to use OpenSSL 1.1.0j / 1.0.2q
Type: Stage: resolved
Components: macOS, SSL, Windows Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, christian.heimes, miss-islington, ned.deily, paul.moore, ronaldoussoren, steve.dower, tim.golden, zach.ware
Priority: Keywords: patch

Created on 2018-12-04 07:10 by ned.deily, last changed 2018-12-11 05:56 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11088 merged steve.dower, 2018-12-10 23:00
PR 11089 merged steve.dower, 2018-12-10 23:20
PR 11090 merged miss-islington, 2018-12-11 03:52
PR 11091 merged steve.dower, 2018-12-11 03:56
PR 11094 merged ned.deily, 2018-12-11 05:05
PR 11095 merged ned.deily, 2018-12-11 05:18
PR 11096 merged miss-islington, 2018-12-11 05:24
PR 11097 merged miss-islington, 2018-12-11 05:38
Messages (11)
msg331010 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-12-04 07:10
New versions of OpenSSL were released on 2018-11-20.  We should update for 3.7.2, 3.6.8, and 2.7.16.
msg331345 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-12-07 19:22
I'm getting the cpython-source-deps repo updated now, and will do the Windows updates shortly after.
msg331361 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-12-07 22:50
Bin and source dependency repos are updated - just needs the project updates now and testing.
msg331564 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-12-11 03:52
New changeset 4824385fec0a1de99b4183f995a3e4923771bf64 by Steve Dower in branch 'master':
bpo-35401: Update Windows build to OpenSSL 1.1.0j (GH-11088)
https://github.com/python/cpython/commit/4824385fec0a1de99b4183f995a3e4923771bf64
msg331565 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-12-11 03:52
New changeset 309d7207f691b3eaa988d2293b9d023943982a9f by Steve Dower in branch '3.6':
bpo-35401: Updates Windows build to OpenSSL 1.0.2q (GH-11089)
https://github.com/python/cpython/commit/309d7207f691b3eaa988d2293b9d023943982a9f
msg331568 - (view) Author: miss-islington (miss-islington) Date: 2018-12-11 04:16
New changeset d1fb21209bca0620ece849e05cca97bce861c996 by Miss Islington (bot) in branch '3.7':
bpo-35401: Update Windows build to OpenSSL 1.1.0j (GH-11088)
https://github.com/python/cpython/commit/d1fb21209bca0620ece849e05cca97bce861c996
msg331569 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-12-11 04:26
New changeset 3c8bd22b8f0d7f57261b9d3c90e56447cd5acf94 by Steve Dower in branch '2.7':
bpo-35401: Updates Windows build to OpenSSL 1.0.2q (GH-11089)
https://github.com/python/cpython/commit/3c8bd22b8f0d7f57261b9d3c90e56447cd5acf94
msg331574 - (view) Author: miss-islington (miss-islington) Date: 2018-12-11 05:24
New changeset 3ec982640f89f6ce56dd2699a81e0bd834ae0c95 by Miss Islington (bot) (Ned Deily) in branch 'master':
bpo-35401: Update macOS installer to OpenSSL 1.1.0j (GH-11094)
https://github.com/python/cpython/commit/3ec982640f89f6ce56dd2699a81e0bd834ae0c95
msg331575 - (view) Author: miss-islington (miss-islington) Date: 2018-12-11 05:37
New changeset 419b5ffc2ca46d7adf0be6216ca3a6e40028e50f by Miss Islington (bot) (Ned Deily) in branch '3.6':
[3.6] bpo-35401: Update macOS installer to OpenSSL 1.0.2q (GH-11095)
https://github.com/python/cpython/commit/419b5ffc2ca46d7adf0be6216ca3a6e40028e50f
msg331576 - (view) Author: miss-islington (miss-islington) Date: 2018-12-11 05:43
New changeset c37923ece75721c21b06f7e3645d2838c2452e18 by Miss Islington (bot) in branch '3.7':
bpo-35401: Update macOS installer to OpenSSL 1.1.0j (GH-11094)
https://github.com/python/cpython/commit/c37923ece75721c21b06f7e3645d2838c2452e18
msg331577 - (view) Author: miss-islington (miss-islington) Date: 2018-12-11 05:54
New changeset 55076cc0ffd1b7602d67f3a9a420d6261ffd5c89 by Miss Islington (bot) in branch '2.7':
[3.6] bpo-35401: Update macOS installer to OpenSSL 1.0.2q (GH-11095)
https://github.com/python/cpython/commit/55076cc0ffd1b7602d67f3a9a420d6261ffd5c89
History
Date User Action Args
2018-12-11 05:56:42ned.deilysetpriority: release blocker ->
assignee: christian.heimes ->
status: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-12-11 05:54:06miss-islingtonsetmessages: + msg331577
2018-12-11 05:43:21miss-islingtonsetmessages: + msg331576
2018-12-11 05:38:03miss-islingtonsetpull_requests: + pull_request10329
2018-12-11 05:37:56miss-islingtonsetmessages: + msg331575
2018-12-11 05:24:18miss-islingtonsetpull_requests: + pull_request10328
2018-12-11 05:24:08miss-islingtonsetmessages: + msg331574
2018-12-11 05:18:41ned.deilysetpull_requests: + pull_request10327
2018-12-11 05:05:56ned.deilysetpull_requests: + pull_request10326
2018-12-11 04:26:35steve.dowersetmessages: + msg331569
2018-12-11 04:16:50miss-islingtonsetnosy: + miss-islington
messages: + msg331568
2018-12-11 03:56:58steve.dowersetpull_requests: + pull_request10323
2018-12-11 03:52:55miss-islingtonsetpull_requests: + pull_request10322
2018-12-11 03:52:53steve.dowersetmessages: + msg331565
2018-12-11 03:52:40steve.dowersetmessages: + msg331564
2018-12-10 23:20:32steve.dowersetpull_requests: + pull_request10321
2018-12-10 23:00:24steve.dowersetkeywords: + patch
stage: patch review
pull_requests: + pull_request10320
2018-12-07 22:50:42steve.dowersetmessages: + msg331361
2018-12-07 19:22:42steve.dowersetmessages: + msg331345
2018-12-04 07:10:32ned.deilycreate